from os import environ
from gidgetlab.aiohttp import GitLabBot

from .features.submodule import router_submodule


def setup_bot(gitlab_url: str, gitlab_user: str) -> int:
    # Can remove gitlab_url once we have
    # https://gitlab.com/beenje/gidgetlab/-/commit/abdc7a2ed3425e29c5c0375bd40ace63eb0f9f67
    bot = GitLabBot(gitlab_user, url=gitlab_url)
    bot.register_routers(router_submodule)
    return bot


def main():
    print("Setting up bot...")
    bot: GitLabBot = setup_bot(environ.get("GL_URL"), environ.get("GL_USER"))
    print("Starting bot...")
    bot.run()
